Bug 152 - Kernel config doesn't handle "irq 2" as irq 9
Summary: Kernel config doesn't handle "irq 2" as irq 9
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 2.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1995-01-19 23:50 UTC by Joe Greco
Modified: 1995-01-19 23:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Greco 1995-01-19 23:50:01 UTC
	Booting a GENERIC kernel (or other non-customized kernel) and using
	the -c flag to configure devices, if you enter something obvious
	like "irq ed0 2", it fails to recognize 2 as a special case and use
	9.  In my case, I was bootstrapping a diskless machine on a
	non-FreeBSD machine, and had to use the machine to compile it's own
	kernel.  I had looked quickly at the PC-NFS settings and written
	down "280/D0000/2", because PC-NFS claims that it is on 2.

	It took me a while to realize my mistake.

Fix: 

Specify IRQ 9 to begin with.  Preferably fix the code to recognize
	this as a special case, since I believe it's impossible to have a
	TRUE IRQ2 device.
How-To-Repeat: 
	Do a diskless boot.  Abort.  "bootflags -c".  "autoboot".
	Or do a regular boot with "-c".

	At the config> prompt, type "irq ed0 2" and "quit".
Comment 1 gpalmer freebsd_committer 1995-05-14 16:44:32 UTC
State Changed
From-To: open->closed

revision 1.24 
date: 1995/05/07 18:23:58;  author: jkh;  state: Exp;  lines: +5 -1 
If user specifies IRQ 2, remap it to IRQ 9 with a warning. 
Suggested by:   rgrimes